//:: FileName: ff_nar_locker.nss
//:: Description: adds a footlocker with extra equipment in an abandoned room at Nar Shaddaa refugee landing pad

void main() {

	// gets object
	object Loc = GetObjectByTag("ff_nar_locker");

	// to check if object is already spawned
	if (Loc == OBJECT_INVALID) {

		// coordinates for object
		float x=-38.23015f;  
		float y=-47.83979f;  
		float z=9.66545f; 
		float r=0.27616; // for orientation 'r' in degrees

		// add coordinates to object
		vector Vec = Vector(x,y,z);
		location Locat = Location(Vec, r);

		// create new object
		object newLoc = CreateObject(OBJECT_TYPE_PLACEABLE, "ff_nar_locker", Locat);

		// create items in object
		CreateItemOnObject("ff_nar_datapad", newLoc); // Nameless Datapad

		CreateItemOnObject("ev_crys_03", newLoc); // Fountain of Light Perl, slightly reduced props.
		CreateItemOnObject("ev_crys_04", newLoc); // a Ruusan Amulet, slightly reduced

		CreateItemOnObject("a_belt_20", newLoc); // a Jal Shey belt

	}
}