// Main function, this runs when the script is triggered.
// Stoffe's script for OnNotice script field in Scripts tab
// of the Complex mercenary leader .utc

void main() {
    // Get object reference to the NPC I just spotted.
    object oSeen = GetLastPerceived();
        
    // If the character I see is the player character ... (or Kreia, Atton, BaoDur, Mira, Visas or HK47)
    // AND I haven't already done this...
    if (GetLastPerceptionSeen() && (oSeen == GetObjectByTag("Kreia") || oSeen == GetObjectByTag("Atton") || oSeen == GetFirstPC() || oSeen == GetObjectByTag("Baodur") || oSeen == GetObjectByTag("Mira") || oSeen == GetObjectByTag("HK47") || oSeen == GetObjectByTag("Visasmarr")) && !GetLocalBoolean(OBJECT_SELF, 50)) {
       
        // Set that I've done this...
        SetLocalBoolean(OBJECT_SELF, 50, TRUE);
        
        // Stop doing anything I'm currently doing.
        ClearAllActions();
        
        // Start conversation in compledr.dlg with the player.
        ActionStartConversation(oSeen, "compledr", FALSE, 0, TRUE);
        
        // Move closer to the player so we don't have to shout across the area.
        ActionForceMoveToObject(oSeen);
    }
    // Not seeing the player, or this has already been done. Do standard AI instead.
    else {
        ExecuteScript("k_ai_master", OBJECT_SELF, 1002);
    }
}