// spawns 6 thugs to 'protect' a hidden Security Center of Nar Shaddaa docks
// near Fassa twi'lek, and moves 2 of them to specific spots in the area

#include "k_inc_debug"
#include "k_inc_utility"

void ST_Move() {  // devaronian thug
    SetCommandable(TRUE);
    ActionMoveToLocation(Location(Vector(9.84, 62.28, 8.64), 266.40));
}

void ST_Move2() {  // female twi'lek merc, 2 walking moves
    SetCommandable(TRUE);
    ActionMoveToLocation(Location(Vector(17.28, 56.41, 8.643), 50.956));
    SetCommandable(TRUE);
    ActionMoveToLocation(Location(Vector(24.664, 53.46, 8.643), 164.49));
    ActionDoCommand(SetFacingPoint(Vector(15.77, 54.93, 8.64)));
}

void main() 
{
	location locA = Location(Vector(2.147,54.92,8.64), 357.85);
	location locB = Location(Vector(-0.047,56.66,8.64), 341.26);
	location locC = Location(Vector(5.84,53.372,8.64), 0.331);
	location locD = Location(Vector(24.92,55.52,8.643), 180.01);
	location locE = Location(Vector(10.94,43.10,8.643), 2.032);
	location locG = Location(Vector(18.49,37.49,8.64), 162.987);
	CreateObject(OBJECT_TYPE_CREATURE, "n_compleadr", locA);
	CreateObject(OBJECT_TYPE_CREATURE, "n_compthug", locB);
	CreateObject(OBJECT_TYPE_CREATURE, "n_compthug2", locC);
	CreateObject(OBJECT_TYPE_CREATURE, "n_compthug3", locD);
	CreateObject(OBJECT_TYPE_CREATURE, "n_compthu4w", locE);
	CreateObject(OBJECT_TYPE_CREATURE, "n_compthug5w", locG);

	DelayCommand(5.9, AssignCommand(GetObjectByTag("n_compthug5w"), ST_Move2()));
	DelayCommand(9.8, AssignCommand(GetObjectByTag("n_compthu4w"), ST_Move()));
    	
	AddJournalQuestEntry("ff_sealddoor",20);
}
