// spawns 6 thugs to 'protect' Vogga at his enclave at Nar Shaddaa docks
// moving them to specific points
// Created by: FrantFire (Stoffe basics)

#include "k_inc_debug"
#include "k_inc_utility"

void ST_Move() {  // human thug
    int bRun;
    float fTimeout=3.0f;
    SetCommandable(TRUE);
    location IDest = Location(Vector(51.36, 6.3302, 8.6428),274.777);
    DelayCommand(3.0, ActionForceMoveToLocation(IDest, bRun=0, fTimeout)); 
}

void ST_Move1() {  // droid war 01 guard, 2 walk moves
    SetCommandable(TRUE);
    ActionMoveToLocation(Location(Vector(50.31044,7.22807, 8.64), 231.544));
    SetCommandable(TRUE);
    ActionMoveToLocation(Location(Vector(49.6236,4.23482, 8.64), 270.6287));
}

void ST_Move2() {  // twilek male thug 2, walk moves
    SetCommandable(TRUE);
    ActionMoveToLocation(Location(Vector(52.3139, 9.8284, 8.64), 231.33617));
    SetCommandable(TRUE);
    ActionMoveToLocation(Location(Vector(52.1640, 1.72203, 8.64), 270.1780));
}

void ST_Move3() {  // trandoshan thug 1 sword, 2 walking moves
    SetCommandable(TRUE);
    ActionMoveToLocation(Location(Vector(50.218, 1.18178, 8.643), 323.48724));
    SetCommandable(TRUE);
    ActionMoveToLocation(Location(Vector(50.918, 0.34626, 8.643), 271.019));
}

void ST_Move4() {  // 2 trandoshan thug, 2 walking moves, last failing (to Vogga) 
    SetCommandable(TRUE);
    ActionMoveToLocation(Location(Vector(53.3789, -1.60352, 8.643), 197.583));
    // SetCommandable(TRUE);
    // ActionMoveToLocation(Location(Vector(55.317, -11.026, 8.643), 104.7656));

}
void ST_Move5() {  // droid war 01 guard 2  // spawned outside
    SetCommandable(TRUE);
    ActionMoveToLocation(Location(Vector(53.77937, 6.4152, 8.643), 293.6088));
}

void main() 
{
	location locA = Location(Vector(48.8438,15.6586,8.6428), 274.777);
	location locB = Location(Vector(56.5282,16.6346,8.6428), 312.756);
	location locC = Location(Vector(55.0864,12.89138,8.643), 221.845);
	location locD = Location(Vector(47.8536,-0.45155,8.643), 265.20);
	location locE = Location(Vector(56.34912,-1.48895,8.643), 189.4898);
	location locG = Location(Vector(46.2352,15.977,8.643), 331.192);
	CreateObject(OBJECT_TYPE_CREATURE, "n_voggathu", locA);
	CreateObject(OBJECT_TYPE_CREATURE, "n_voggadro2", locB);
	CreateObject(OBJECT_TYPE_CREATURE, "n_voggathu3", locC);
	CreateObject(OBJECT_TYPE_CREATURE, "n_voggathu4", locD);
	CreateObject(OBJECT_TYPE_CREATURE, "n_voggathu5", locE);
	CreateObject(OBJECT_TYPE_CREATURE, "n_voggadro6", locG);

	DelayCommand(7.0, AssignCommand(GetObjectByTag("n_voggathu5"), ST_Move4()));
	DelayCommand(5.8, AssignCommand(GetObjectByTag("n_voggathu3"), ST_Move2()));
              DelayCommand(8.1, AssignCommand(GetObjectByTag("n_voggathu4"), ST_Move3()));
 	DelayCommand(0.3, AssignCommand(GetObjectByTag("n_voggathu"), ST_Move()));
	DelayCommand(3.6, AssignCommand(GetObjectByTag("n_voggadro2"), ST_Move1()));
	DelayCommand(0.5, AssignCommand(GetObjectByTag("n_voggadro6"), ST_Move5()));
    	
}
